<layout xmlns:android="http://schemas.android.com/apk/res/android">

    <data>

        <variable
            name="aType"
            type="androidx.databinding.ObservableBoolean" />

        <import type="android.view.View" />
    </data>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/allbg"
        android:orientation="vertical">

        <TextView
            android:id="@+id/out_title"
            style="@style/tablebarStyleTwo"
            android:layout_width="match_parent"
            android:layout_height="55dp"
            android:text="轮胎出库" />

        <LinearLayout
            style="@style/layout_t12_s8_style"
            android:layout_width="match_parent"
            android:layout_height="45dp">

            <TextView
                style="@style/alltext"
                android:layout_width="90dp"
                android:layout_height="match_parent"
                android:text="EPC:" />

            <TextView
                android:id="@+id/epc"
                style="@style/textView_info_style"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
        </LinearLayout>

        <LinearLayout
            style="@style/layout_t12_s8_style"
            android:layout_width="match_parent"
            android:layout_height="45dp">

            <TextView
                style="@style/alltext"
                android:layout_width="90dp"
                android:layout_height="match_parent"

                android:text="胎号:" />

            <TextView
                android:id="@+id/wtbm"
                style="@style/textView_info_style"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
        </LinearLayout>
        <!--    <LinearLayout-->
        <!--        android:layout_width="match_parent"-->
        <!--        android:layout_height="45dp"-->
        <!--        android:layout_marginStart="8dp"-->
        <!--        android:layout_marginTop="10dp"-->
        <!--        android:layout_marginEnd="8dp"-->
        <!--        android:orientation="horizontal"-->
        <!--        app:layout_constraintEnd_toEndOf="parent"-->
        <!--        app:layout_constraintStart_toStartOf="parent"-->
        <!--        app:layout_constraintTop_toBottomOf="@+id/linearLayout3">-->
        <!--        <TextView-->
        <!--            style="@style/alltext"-->
        <!--            android:layout_width="90dp"-->
        <!--            android:layout_height="match_parent"-->
        <!--            -->
        <!--            android:text="自编号:" />-->

        <!--        <TextView-->
        <!--            android:id="@+id/zbh"-->
        <!--            style="@style/textView_info_style"-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="match_parent"-->
        <!--            android:background="@drawable/bg_santex_coppy"-->
        <!--            />-->
        <!--    </LinearLayout>-->
        <LinearLayout
            style="@style/layout_t12_s8_style"
            android:layout_width="match_parent"
            android:layout_height="45dp">

            <TextView
                style="@style/alltext"
                android:layout_width="90dp"
                android:layout_height="match_parent"

                android:text="品牌:" />

            <TextView
                android:id="@+id/pinpai"
                style="@style/textView_info_style"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
        </LinearLayout>

        <!--<LinearLayout-->
        <!--android:id="@+id/linearLayout3"-->
        <!--android:layout_width="match_parent"-->
        <!--android:layout_height="45dp"-->
        <!--android:layout_marginStart="8dp"-->
        <!--android:layout_marginTop="20dp"-->
        <!--android:layout_marginEnd="8dp"-->
        <!--android:orientation="horizontal"-->
        <!--app:layout_constraintEnd_toEndOf="parent"-->
        <!--app:layout_constraintStart_toStartOf="parent"-->
        <!--app:layout_constraintTop_toBottomOf="@+id/linearLayout3">-->
        <!--<TextView-->
        <!--style="@style/alltext"-->
        <!--android:layout_width="105dp"-->
        <!--android:layout_height="match_parent"-->
        <!---->
        <!--android:text="规格:" />-->

        <!--<TextView-->
        <!--android:id="@+id/guige"-->
        <!--style="@style/textView_info_style"-->
        <!--android:layout_width="match_parent"-->
        <!--android:layout_height="match_parent"-->
        <!--android:background="@drawable/bg_santex_coppy"-->
        <!--/>-->
        <!--</LinearLayout>-->

        <LinearLayout
            style="@style/layout_t12_s8_style"
            android:layout_width="match_parent"
            android:layout_height="45dp">

            <TextView
                style="@style/alltext"
                android:layout_width="90dp"
                android:layout_height="match_parent"

                android:text="型号:" />

            <TextView
                android:id="@+id/xinghao"
                style="@style/textView_info_style"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
        </LinearLayout>

        <LinearLayout
            style="@style/layout_t12_s8_style"
            android:layout_width="match_parent"
            android:layout_height="45dp">

            <TextView
                style="@style/alltext"
                android:layout_width="90dp"
                android:layout_height="match_parent"

                android:text="层级:" />

            <TextView
                android:id="@+id/cengji"
                style="@style/textView_info_style"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
        </LinearLayout>

        <LinearLayout
            style="@style/layout_t12_s8_style"
            android:layout_width="match_parent"
            android:layout_height="45dp">

            <TextView
                style="@style/alltext"
                android:layout_width="90dp"
                android:layout_height="match_parent"

                android:text="花纹:" />

            <TextView
                android:id="@+id/huawen"
                style="@style/textView_info_style"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
        </LinearLayout>

        <LinearLayout
            style="@style/layout_t12_s8_style"
            android:layout_width="match_parent"
            android:layout_height="45dp">

            <TextView
                style="@style/alltext"
                android:layout_width="90dp"
                android:layout_height="match_parent"

                android:text="轮胎类别:" />

            <TextView
                android:id="@+id/ltlb"
                style="@style/textView_info_style"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
        </LinearLayout>
        <LinearLayout
            style="@style/layout_t12_s8_style"
            android:layout_width="match_parent"
            android:layout_height="45dp">

            <TextView
                style="@style/alltext"
                android:layout_width="90dp"
                android:layout_height="match_parent"

                android:text="当前站点:" />

            <Spinner
                android:id="@+id/out_store_site_now"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:background="@drawable/bg_select_grey"
                android:entries="@array/zxzd"
                android:paddingStart="12dp" />
        </LinearLayout>
        <LinearLayout
            style="@style/layout_t12_s8_style"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:visibility="@{aType?View.GONE:View.VISIBLE}">

            <TextView
                style="@style/alltext"
                android:layout_width="90dp"
                android:layout_height="match_parent"

                android:text="调拨站点:" />

            <Spinner
                android:id="@+id/out_store_site"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:background="@drawable/bg_select_grey"
                android:entries="@array/zxzd"
                android:paddingStart="12dp" />
        </LinearLayout>

        <!--    <LinearLayout-->
        <!--        style="@style/layout_t12_s8_style"-->
        <!--        android:layout_width="match_parent"-->
        <!--        android:layout_height="45dp">-->

        <!--        <TextView-->
        <!--            style="@style/alltext"-->
        <!--            android:layout_width="90dp"-->
        <!--            android:layout_height="match_parent"-->
        <!--            android:text="卸胎原因:" />-->

        <!--        <Spinner-->
        <!--            android:id="@+id/out_reason"-->
        <!--            android:layout_width="match_parent"-->
        <!--            android:layout_height="match_parent"-->
        <!--            android:entries="@array/chukuy"-->
        <!--            android:textAlignment="center" />-->

        <!--    </LinearLayout>-->

        <LinearLayout
            style="@style/layout_t12_s8_style"
            android:layout_width="match_parent"
            android:layout_height="55dp">

            <Button
                android:id="@+id/button"
                style="@style/buttonStyle"
                android:layout_width="match_parent"
                android:layout_height="55dp"
                android:layout_marginEnd="18dp"
                android:layout_weight="1"
                android:letterSpacing="0.5"
                android:text='@{aType?"轮胎出库":"调拨出库" }' />

            <Button
                android:id="@+id/back"
                style="@style/buttonStyle"
                android:layout_width="match_parent"
                android:layout_height="55dp"
                android:layout_marginStart="18dp"
                android:layout_weight="1"
                android:letterSpacing="1"
                android:text="返回" />
        </LinearLayout>
    </LinearLayout>
</layout>
